View Issue Details

IDProjectCategoryView StatusLast Update
0002037Ham Radio DeluxeBugpublic2017-08-05 18:58
ReporterK7ZCZ 
Assigned ToERIK 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.649 
Target VersionFixed in Version6.4.0.659 
Summary0002037: Setup installs unnecessary CALL3.TXT file
DescriptionAfter running setup, I can examine the C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe install directory.
There, I find a file named CALL3.TXT, which looks like an export of a call sign database from about 10 years ago.

I can't seem to find any code that references this file. Should we be installing it? Can it be removed?

Steps To Reproduce1) Run HRD setup
2) Explore to "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe" (the default installation location)
3) CALL3.TXT is there, with a date stamp from 2007 and a size of about 216 kilobytes
TagsNo tags attached.
Module(select)
Sub-ModuleInstall
Testing Beta Successful

Relationships

Activities

WA9PIE

2017-06-21 20:59

administrator   ~0003240

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-06-21 22:24

administrator   ~0003260

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 03:18

viewer   ~0003276

CALL3.txt does not exist.

WA9PIE

2017-06-25 22:04

administrator   ~0003314

Confirmed fixed.

WA9PIE

2017-07-04 23:30

administrator   ~0003468

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003503

Waiting to close them until a final item is tested.

g3ucq

2017-07-05 03:40

viewer   ~0003530

Fixed

WA9PIE

2017-07-05 19:39

administrator   ~0003575

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-18 11:58 K7ZCZ New Issue
2017-06-18 19:25 ERIK Assigned To => ERIK
2017-06-18 19:25 ERIK Status new => assigned
2017-06-18 19:26 ERIK Status assigned => resolved
2017-06-18 19:26 ERIK Resolution open => fixed
2017-06-18 19:26 ERIK Fixed in Release TBD => 6.4
2017-06-18 19:26 ERIK Fixed in Build (ie. 377) => 652
2017-06-19 10:26 WA9PIE Fixed in Version => 6.4.0.652
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003240
2017-06-21 21:50 K7ZCZ Status assigned => resolved
2017-06-21 21:50 K7ZCZ Fixed in Version 6.4.0.652 =>
2017-06-21 21:58 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 21:58 K7ZCZ Description Updated View Revisions
2017-06-21 21:58 K7ZCZ Steps to Reproduce Updated View Revisions
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003260
2017-06-24 03:18 g3ucq Note Added: 0003276
2017-06-25 22:04 WA9PIE Status assigned => resolved
2017-06-25 22:04 WA9PIE Module All (Installer) => (select)
2017-06-25 22:04 WA9PIE Note Added: 0003314
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-07-01 08:23 WA9PIE Target Version => 6.4.0.652
2017-07-01 08:23 WA9PIE Fixed in Version 6.4.0.652 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003468
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003503
2017-07-05 03:40 g3ucq Note Added: 0003530
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003575
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.652 =>